# Functor Ephemeron.Kn.Make

    module Make: functor (H : Hashtbl.HashedType) -> Ephemeron.S  with type key = H.t array

Functor building an implementation of a weak hash table

Parameters:

`H` | : | `Hashtbl.HashedType`

Propose the same interface as usual hash table. However since the bindings are weak, even if `mem h k` is true, a subsequent `find h k` may raise `Not_found` because the garbage collector can run between the two.

Moreover, the table shouldn't be modified during a call to `iter`. Use `filter_map_inplace` in this case.

    include Hashtbl.S

    val clean : 'a t -> unit

remove all dead bindings. Done automatically during automatic resizing.

    val stats_alive : 'a t -> Hashtbl.statistics

same as `Hashtbl.SeededS.stats` but only count the alive bindings